> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.galleon8.com/api-reference/node-api/ethereum/quickstart/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.galleon8.com/_mcp/server. # Ethereum Quickstart > Query Ethereum Node API endpoints with JSON-RPC. The **Ethereum API** lets applications connect to an Ethereum node that is part of the Ethereum blockchain. Developers can interact with onchain data and send transactions to the network using the endpoints provided by the API. ## Networks * Mainnet (`HTTPS` and `WSS`) * Testnet: * Holesky (`HTTPS` and `WSS`) * Sepolia (`HTTPS` and `WSS`) ## API Querying ### Request example Use `eth_blockNumber` to request the latest Ethereum block number from the Ethereum HTTPS endpoint: ```bash curl https://rpc.ankr.com/eth/ \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "method": "eth_blockNumber", "params": [], "id": 1 }' ``` Replace `` with your project API key. ### Response example A successful response returns the latest block number as a hexadecimal quantity: ```json { "jsonrpc": "2.0", "id": 1, "result": "0x10d4f" } ``` > Query Ethereum Node API endpoints with JSON-RPC.